---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultAuth
metadata:
  name: default
  namespace: woodpecker
spec:
  allowedNamespaces:
    - woodpecker
  kubernetes:
    audiences:
      - vault
    role: woodpecker
    serviceAccount: default
    tokenExpirationSeconds: 600
  method: kubernetes
  mount: k8s/au/syd1
  vaultConnectionRef: vso-system/default
